/*
 * IIIF Curation Finder v1.1
 * http://codh.rois.ac.jp/software/iiif-curation-finder/
 *
 * Copyright 2018 Center for Open Data in the Humanities, Research Organization of Information and Systems
 * Released under the MIT license
 *
 * Core contributor: Jun HOMMA (@2SC1815J)
 *
 * Licenses of open source libraries, see iiif-curation-finder/acknowledgements.txt
 */
var iiifFinder = (function() {
    var configExample = {
        facialExpressions: {
            title: [
                {
                    '@language': 'ja',
                    '@value': '<span class="icp_navbar_brand_logo"></span>顔貌コレクション'
                },
                {
                    '@language': 'en',
                    '@value': '<span class="icp_navbar_brand_logo"></span>Collection of Facial Expressions'
                }
            ],
            service: {
                curationJsonExportUrl: 'https://mp.ex.nii.ac.jp/api/curation/json',
                curationViewerUrl: 'http://codh.rois.ac.jp/software/iiif-curation-viewer/demo/',
                searchEndpointUrl: 'https://mp.ex.nii.ac.jp/api/face/search',
                facetsEndpointUrl: 'https://mp.ex.nii.ac.jp/api/face/facets'
            },
            enableFacetedSearch: true,
            identifierResolvers: {
                'DOI': 'https://doi.org/',
                '慶応義塾大学請求記号': 'https://dcollections.lib.keio.ac.jp/naraehon/search/',
                '京都大学貴重資料デジタルアーカイブレコードID': 'https://rmda.kulib.kyoto-u.ac.jp/item/'
            }
        }
    };
    return IIIFCurationFinder(configExample.facialExpressions);
})();